Experimental endpoints

List historical account total value

get
https://api.snaptrade.com/api/v1/accounts/{accountId}/balanceHistory

An experimental endpoint that returns estimated historical total account value for the specified account. Total account value is the sum of the market value of all positions and cash in the account at a given time. This endpoint is experimental, disabled by default, and only available for certain brokerages with a maximum lookback of 1 year.

Execute an API Request

Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
userIdstringrequired

SnapTrade User ID. This is chosen by the API partner and can be any string that is a) unique to the user, and b) immutable for the user. It is recommended to NOT use email addresses for this property because they are usually not immutable.

userSecretstringrequired

SnapTrade User Secret. This is a randomly generated string and should be stored securely. If compromised, please rotate it via the rotate user secret endpoint.

Authorization
Request
Installation
$
npm install snaptrade-typescript-sdk
1
Loading...

Response fields

object

The response to the account value history endpoint, containing a list of estimated account values at different points in time.

historyarray of objects

List of estimated account values over time returned by the endpoint.

currencystring

The ISO-4217 currency code for the account values.

1
{
2
"history": [
3
{
4
"date": "2026-01-01",
5
"total_value": "15363.23"
6
}
7
],
8
"currency": "USD"
9
}